io.vertx.rxjava.ext.stomp

## Class ServerFrame

- java.lang.Object
- - io.vertx.rxjava.ext.stomp.ServerFrame

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class ServerFrame
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Structure passed to server handler when receiving a frame. It provides a reference on the received `Frame` but also on the `StompServerConnection`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ServerFrame>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerFrame(Object delegate)`
    `ServerFrame(ServerFrame delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StompServerConnection` | `connection()`
    `boolean` | `equals(Object o)`
    `Frame` | `frame()`
    `ServerFrame` | `getDelegate()`
    `int` | `hashCode()`
    `static ServerFrame` | `newInstance(ServerFrame arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServerFrame> __TYPE_ARG

  - ### Constructor Detail

    - #### ServerFrame

          public ServerFrame(ServerFrame delegate)

    - #### ServerFrame

          public ServerFrame(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServerFrame getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### frame

          public Frame frame()

      Returns:
        the received frame

    - #### connection

          public StompServerConnection connection()

      Returns:
        the connection

    - #### newInstance

          public static ServerFrame newInstance(ServerFrame arg)

Copyright © 2025 Eclipse. All rights reserved.